Bug 1212833 - computer freezes after login
Summary: computer freezes after login
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: 22
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-04-17 12:44 UTC by myComputerIsATyrant
Modified: 2016-07-19 13:45 UTC (History)
12 users (show)

(edit)
Clone Of:
: 1514992 (view as bug list)
(edit)
Last Closed: 2016-07-19 13:45:41 UTC


Attachments (Terms of Use)

Description myComputerIsATyrant 2015-04-17 12:44:15 UTC
Description of problem:
Computer Freezes after logging into Fedora 22 Beta rc3, This happened with Alpha as well.

Version-Release number of selected component (if applicable):
Fedora 22 Beta rc3

How reproducible:
always

Steps to Reproduce:
1. login 
2.
3.

Actual results:
computer freezes after logging in (i see the gnome screen but the mouse is frozen)

Expected results:
Computer does not freeze.


Additional info:
i installed the live iso to a thumb drive, and booted to it. the live iso works fine. i used the live installation to install to a hard drive. I used standard partitions (all ext 4) (no lvm or thin provisioning). I tried gnome, classic gnome and wayland (from the login screen) they all failed.
Additional note - when i first started f22, the system would not boot (the fedora logo slowly filled with white but didnt boot). It did boot on the 2nd and subsequent tries without issue.
I am a complete novice, but if a developer wants to me to try things to help resolve this, i will be happy to.

Comment 1 myComputerIsATyrant 2015-04-19 00:43:34 UTC
hardware: z97 motherboard, Nvidia GK110 based graphics card

Comment 2 Nicolas PARIGI 2015-05-01 20:46:29 UTC
I have exactly the same bug with Fedora 22 Beta rc3, XCFE spin.
After i log, the login window go away, nothing happen, and then 2-3 seconds my mouse is frozen.

I have a HP Elitebook 840 G1 (intel + ati graphics).

Comment 3 myComputerIsATyrant 2015-05-08 10:11:53 UTC
Tested again with Fedora 22 Final TC2 Desktop. The mouse still freezes after login.
I assume that so few people are hitting this bug that it is not considered a blocker bug

Comment 4 myComputerIsATyrant 2015-05-16 05:46:30 UTC
Tried again with Fedora 22 TC3 Desktop - same error
This time i noticed that the bios  was stuck on displaying the code for nvram initialization during boot up (and never changed). 

The bios does not display this code when Fedora 21 boots up. 

btw if any the official fedora people have read this could you please indicate that you have. please reply here as i never read the yahoo mail account.

Comment 5 myComputerIsATyrant 2015-05-16 11:01:03 UTC
my mistake - In Fedora 22 Beta rc3 desktop the gnome screen was displayed but mouse / keyboard was frozen. in Fed 22 TC3 Desktop the gnome screen doesnt get displayed.
in TC3 i installed it twice - once with using my own file system layout, and once with using TC3 defaults (except i did use delete old file system and recover space window)
the results were the same.
my one attempt to chroot into the installed system to update it failed, but i will try again. (i only learned about chroot today)
I was hoping to get some debugging assistance so that there would be a possibility of getting this fixed before f22 gets released

Comment 6 myComputerIsATyrant 2015-05-27 09:13:33 UTC
As expected the same problem exists in the released version of Fedora 22.
I found a workaround - I booted into Fed22 in text mode. From there I was able to issue a startX command and gnome started normally (without failing)
since startx works and the graphical login manager doesnt, i am shifting the blame to GDM in the component entry above

Comment 7 dkcaaa+rhbugzilla3487 2015-06-05 23:32:28 UTC
Pretty sure I have the same problem. Running a p67-based mobo and GK110 based GPU. Live system works fine. Tried reinstalling, didn't help.

I could boot into a text mode and start x from that, like you said. I then installed the nvidia drivers from RPM Fusion and after I rebooted logging in through GDM seemed to work. I'd say it could be a nouveau problem then? But Nicolas said the same thing happened on a system with ATI graphics, so I don't know.

Comment 8 Andy Campbell 2015-06-06 17:13:47 UTC
Same here.  Fresh install of F22, GDM login screen appears, as soon as I log in, I get a grey screen with a mouse pointer in the middle that is frozen.

I can ssh in from another machine, gnome appears to have started, 

I can see all the normal processes seems to have started, and nothing spinning (100% CPU )

+ I've done a dnf upgrade to get all the latest packages
+ I tried repm fusion, and the closed source Nvidia driver
+ I tried disabling wayland in (  /etc/gdm/custom.conf )

I installed from the workstation, live ISO, written to a USB memory stick.  The live ISO worked fine.

Comment 9 Andy Campbell 2015-06-07 17:26:06 UTC
Tried again with a fresh install.

- Clean install issue still exists
- Installed nvidia drivers from RPMFusion, I can now log in, and seems stable so
  far.

Graphics card is ...

01:00.0 VGA compatible controller: NVIDIA Corporation GK110 [GeForce GTX 780] (rev a1)

Comment 10 John Brosan 2015-06-23 19:37:02 UTC
I am having the same issue. I tried using Gnome, Gnome Classic and Gnome Wayland, all have same results.

I have the following hardware: 

Asus Maximus VII Gene
i7 4790K
Nvidia GTX780Ti
16Gb RAM

I really want to run Fedora 22. Has anyone found a solution to this?

Comment 11 John Brosan 2015-06-23 19:38:50 UTC
(In reply to John Brosan from comment #10)
> I am having the same issue. I tried using Gnome, Gnome Classic and Gnome
> Wayland, all have same results.
> 
> I have the following hardware: 
> 
> Asus Maximus VII Gene
> i7 4790K
> Nvidia GTX780Ti
> 16Gb RAM
> 
> I really want to run Fedora 22. Has anyone found a solution to this?

I would also like to add that Live USB and DVD work just fine.

Comment 12 myComputerIsATyrant 2015-06-25 13:10:53 UTC
(In reply to John Brosan from comment #10)

> I really want to run Fedora 22. Has anyone found a solution to this?

you can try logging in using text mode and then either 
1) install the nvidia drivers and reboot, 
or 
2) make sure you logged in as a user (not admin) and type startx to go into graphics mode (so you can use firefox to follow the instructions on how to install the nvidia drivers. i prefer the instructions here -->> http://www.if-not-true-then-false.com/2014/fedora-20-nvidia-guide/
use dnf rather than yum in the instructions.

I will check back over the next few days to see if you need help in doing any of the above

Comment 13 John Brosan 2015-06-26 02:00:31 UTC
@myComputerisATyrant

First attempt, did not work for either #1 or #2.  

#1. Followed directions in the link provided
   
I wound up with a low resolution screen, and once the Fedora logo completed filling up, I received an error message stating that something went wrong. Not sure exactly what went wrong. I will reboot later and get more information.

#2.

Prior to loading the nvidia driver, I booted the system, entered text mode as a user (not admin), tried to startx but nothing happened except a black screen and I was unable to access the system.

I will try again since this is a clean system and report my findings.

Thanks for the help!

Comment 14 John Brosan 2015-06-26 20:28:46 UTC
Still no joy, here are the steps I performed on my second attempt.

1. Wiped system clean of all partitions.
2. Booted the Live USB
3. Installed with automatic partitionaing
4. Created root password.
5. Created user with admin privs.
6. Rebooted after install was complete.
7. At login screen, entered text mode via CTRL-ALT-F2
8. Added the RPMFusion repos
9. Installed the nvidia drivers
10. dnf update -y
11. Rebooted
12. Received screen that says, "Oh no! Something has gone wrong. A problem has occured and the system can't recover. Please logout and try again."

Which was the same error I received earlier.

This is appears to be a Gnome 3.16 GDM issue. I tried the Gnome Ubuntu 15.04 and it worked fine, as soon as I upgraded Gnome to 3.16 via the PPA, I experienced a very similar issue. System locked.

Comment 15 Nicolas PARIGI 2015-06-26 23:40:39 UTC
I don't think it's Gnome 3.16 GDM, because i tried in the XFCE spin. Or maybe we just don't have the same bug. (You have an error screen. My screen is just completely frozen. Notice that it was with the beta, maybe i have now an error screen.)

Comment 16 myComputerIsATyrant 2015-06-28 10:09:40 UTC
did you disable the nouveau drivers as per my link ?

Comment 17 John Brosan 2015-06-29 23:59:27 UTC
@Nicolas

I think it may be GDM, as I installed Ubuntu Gnome, which has ships with Gnome 3.14. I installed it and it worked fine. As does Korora 21, which also ships with Gnome 3.14.

Ubuntu Gnome has a PPA for upgrading to 3.16. I tried it, everything went smoothly, but it locks up as soon as I login. Same as Fedora 22.

@myComputerIsATyrant

I did disabled the nouveau driver. Though I am going attempt to reinstall again, following the directions again, in case I botched something.

Thanks,
John

Comment 18 John Brosan 2015-07-02 02:18:44 UTC
@myComputerIsATyrant,

I attempted to follow the directions in the link you provided again. Still no joy. I can see that the nouveau driver was blacklisted.

Would love to see this resolved, so many new features that I would love to checkout.

Comment 19 cagney 2015-07-03 21:05:31 UTC
I found evdev (xorg-x11-drv-evdev) wasn't installed (got to f21 from f21 via an upgrade so perhaps that was the caused), installing that improved things somewhat:  usb connected keyboard/mouse started working; and I could cntrl-alt-f3 to a terminal.

Perhaps look in /var/log/Xorg.0.log for signs that they keyboard/mouse are messed up.

Comment 20 Luc de Louw 2015-11-08 08:54:50 UTC
Same applies to Fedora 23 Final. After manually installing xorg-x11-drv-evdev keyboard and mouse started working again. Seems to be a dependency problem.

Comment 21 Adam Williamson 2015-11-09 16:44:31 UTC
Well, in F22+, the default input driver is libinput - xorg-x11-drv-libinput . I guess if you have a custom X config file that explicitly specifies evdev then that might be a problem, but I'd suggest removing that or adjusting it to use libinput.

https://fedoraproject.org/wiki/Changes/LibinputForXorg

Comment 22 cagney 2015-11-09 20:34:09 UTC
(In reply to awilliam@redhat.com from comment #21)
> I guess if you have a custom X config file that explicitly specifies evdev
> then that might be a problem, but I'd suggest removing that or adjusting it
> to use libinput.

What makes you think that?

On the other hand, this is interesting:

$ rpm -q xorg-x11-drv-libinput
package xorg-x11-drv-libinput is not installed

I'll try zapping evdev and installing that.

Comment 23 Adam Williamson 2015-11-09 20:46:16 UTC
"What makes you think that?"

Nothing specific, it was just a scenario I could think of where evdev not being there would be a problem.

"On the other hand, this is interesting:"

Yes it is - if evdev is being removed but libinput not being installed on upgrade, that seems like a bug.

Comment 24 cagney 2015-11-09 20:57:07 UTC
(In reply to cagney from comment #22)

> $ rpm -q xorg-x11-drv-libinput
> package xorg-x11-drv-libinput is not installed
> 
> I'll try zapping evdev and installing that.

Removing xorg-x11-drv-evdev and installing xorg-x11-drv-libinput finally got both the laptop's keyboard+trackpad and usb keyboard/mouse working.

(In reply to awilliam@redhat.com from comment #23)

> Yes it is - if evdev is being removed but libinput not being installed on
> upgrade, that seems like a bug.

looks like the problem.

(BTW, an unfortunate side effect seems to be that it now takes a lot longer for the login screen to appear :-/)

Comment 25 Adam Williamson 2015-11-09 21:00:14 UTC
Could you find the upgrade transaction in the dnf history and attach it?

Use 'dnf history list | less' to list transactions, then 'dnf history info X > somefile' to log one transaction to 'somefile', where X is the transaction number - you should be able to identify it by the large number of changes and the date.

Comment 26 cagney 2015-11-09 22:14:21 UTC
Here's the first few entries.

man.f22, .., evdev.f22 were presumably all installed after the upgrade while fedup.21 was presumably installed just before it.  That leaves transaction "3" but that isn't very interesting.

Perhaps someone else will have more luck.

     6 | install xorg-x11-drv-evd | 2015-07-03 15:48 | Install        |    1 EE
     5 | install xorg-x11-drv-int | 2015-07-03 15:30 | Install        |    1 EE
     4 | install man              | 2015-07-03 15:13 | Install        |    1   
     3 | upgrade                  | 2015-07-03 14:47 | Erase          |    3 E<
     2 | install fedup            | 2015-07-03 12:54 | Install        |    1 >E
     1 | update                   | 2015-07-03 12:53 | Update         |    4 EE

Transaction ID : 2
Begin time     : Fri Jul  3 12:54:10 2015
Begin rpmdb    : 1560:21c018ea070ad8910ace4d37563cc84340a35752
End time       :                          (0 seconds)
End rpmdb      : 1561:001521a2ce2a4d1ff4ca70e6400709ba74103309
User           : System <unset>
Return-Code    : Success
Command Line   : install fedup
Transaction performed with:
    Upgraded      dnf-0.6.4-5.fc21.noarch    (unknown)
    Upgraded      rpm-4.12.0.1-6.fc21.x86_64 (unknown)
Packages Altered:
    Install fedup-0.9.2-1.fc21.noarch @updates/21
Scriptlet output:
   1 warning: Unable to get systemd shutdown inhibition lock

Transaction ID : 3
Begin time     : Fri Jul  3 14:47:25 2015
Begin rpmdb    : 1640:beaeaf79ae8363a02b322e476faaafa8cd540b32
End time       :            14:47:39 2015 (14 seconds)
End rpmdb      : 1637:650d2bce479341dd2518fbe00efdda72094c3de6
User           : System <unset>
Return-Code    : Success
Command Line   : upgrade
Transaction performed with:
    Upgraded      dnf-1.0.1-2.fc22.noarch     (unknown)
    Installed     rpm-4.12.0.1-12.fc22.x86_64 (unknown)
Packages Altered:
    Erase kernel-core-4.0.4-201.fc21.x86_64          (unknown)
    Erase kernel-modules-4.0.4-201.fc21.x86_64       (unknown)
    Erase kernel-modules-extra-4.0.4-201.fc21.x86_64 (unknown)
Scriptlet output:
   1 warning: Unable to get systemd shutdown inhibition lock

Transaction ID : 4
Begin time     : Fri Jul  3 15:13:22 2015
Begin rpmdb    : 1637:650d2bce479341dd2518fbe00efdda72094c3de6
End time       :            15:13:25 2015 (3 seconds)
End rpmdb      : 1638:01cc7b59e5d80fbc7a11e7b4704de8288700e949
User           : root <root>
Return-Code    : Success
Command Line   : install man
Transaction performed with:
    Upgraded      dnf-1.0.1-2.fc22.noarch     (unknown)
    Installed     rpm-4.12.0.1-12.fc22.x86_64 (unknown)
Packages Altered:
    Install man-db-2.7.1-5.fc22.x86_64 @updates

Begin time     : Fri Jul  3 15:30:33 2015
Begin rpmdb    : 1638:01cc7b59e5d80fbc7a11e7b4704de8288700e949
End time       :            15:30:34 2015 (1 seconds)
End rpmdb      : 1639:767a8c2c9a26aa4030d78f2ad242e722254acd43
User           : System <unset>
Return-Code    : Success
Command Line   : install xorg-x11-drv-intel
Transaction performed with:
    Upgraded      dnf-1.0.1-2.fc22.noarch     (unknown)
    Installed     rpm-4.12.0.1-12.fc22.x86_64 (unknown)
Packages Altered:
    Install xorg-x11-drv-intel-2.99.917-12.20150615.fc22.x86_64 @updates
Scriptlet output:
   1 warning: Unable to get systemd shutdown inhibition lock

Transaction ID : 6
Begin time     : Fri Jul  3 15:48:07 2015
Begin rpmdb    : 1639:767a8c2c9a26aa4030d78f2ad242e722254acd43
End time       :            15:48:08 2015 (1 seconds)
End rpmdb      : 1640:c579712e9a0ab1857f71272a410e9de6cf429e6d
User           : System <unset>
Return-Code    : Success
Command Line   : install xorg-x11-drv-evdev
Transaction performed with:
    Upgraded      dnf-1.0.1-2.fc22.noarch     (unknown)
    Installed     rpm-4.12.0.1-12.fc22.x86_64 (unknown)
Packages Altered:
    Install xorg-x11-drv-evdev-2.9.2-1.fc22.x86_64 @fedora
Scriptlet output:
   1 warning: Unable to get systemd shutdown inhibition lock

Comment 27 Adam Williamson 2015-11-09 23:40:55 UTC
oh, you did your upgrade with fedup? Ah :/ I was assuming it was a recent one done with dnf-plugin-system-upgrade . With fedup the transaction won't be in the DNF history indeed. Well, I'll see if I can reproduce it, I guess.

Comment 28 Adam Williamson 2015-11-10 00:50:19 UTC
I just did a quick check with an upgrade from F21 to F23 as things stand, and it seems to keep xorg-x11-drv-evdev installed...

Comment 29 Christian Stadelmann 2015-11-25 18:49:08 UTC
I am seeing this issue too on a mobile computer (laptop) Samsung 400B2B with intel 2nd gen Core i5 processor and a fully updated F23. This issue seems to be specific to the X server, but does not happen on wayland.

What works:
* Login screen (gdm, with wayland)
* gnome session with wayland

What doesn't:
* gnome session with X. Immediately freezes. Keyboard doesn't work to switch to tty or run sysrq codes. Nothing in log files about that.
* login screen with sddm (based on X). Immediately freezes (as above), power button still works.

Sometimes even the wayland session freezes when resuming from sleep (suspend to ram).

Comment 30 argentlynx 2016-01-20 01:04:04 UTC
I am getting this in Fedora 23.  However, my mouse is able to move.

1. Login
2. Login screen hides
3. Grey fedora background shows.  I'm able to move the mouse but, there is nothing on the screen to interact with.

* Pressing Escape seems to restart something.  The screen goes to command line, then back to the GUI and I'm able to use the computer as normal
* Pressing Ctrl+alt+F# has a similar effect

System Specs:

* ASUS G751 laptop with GeForce GTX 970m

Note:

This seems to be an old problem.  I've found a reference to the same symptoms of this bug here:

http://fedora.12.x6.nabble.com/Gnome-login-hangs-F20-after-fedup-upgrade-td5018263.html

Comment 31 Fedora End Of Life 2016-07-19 13:45:41 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.